/*****************************************************************************
Name            :   player.h  
C Author        :   Stel Michael

Copyright       :   1992 by VideoLogic Limited. All rights reserved.
		    No part of this software, either material or conceptual
		    may be copied or distributed, transmitted, transcribed,
		    stored in a retrieval system or translated into any
		    human or computer language in any form by any means,
		    electronic, mechanical, manual or other-wise, or
		    disclosed to third parties without the express written
		    permission of VideoLogic Limited, HomePark Estate,
		    King's Langley, Hertfordshire, WD4 8LZ, U.K.

Description     :   Header for player.cpp
Program Type    :   Microsoft Visual C++ V2
*****************************************************************************/


#define	START_LIVES	3
#define START_ENERGY	5000
                   
class	Player
{
	int	BodyTag;
	int	EnergyLevel;
	int Score;
	int Lives;
	ControlledObject *PlayBody;	
public:
	Player();	
	void SetEnergyLevel(int EnergyVal) { EnergyLevel=EnergyVal; }
	int	GetEnergyLevel()	{ return EnergyLevel; }
	void ResetScore() { Score=0; }
	void AddScore(int Points) { Score+=Points; }
	int GetScore() { return Score; }
	int GetCurrentBody() { return BodyTag; }   
	float *GetPos() { return (PlayBody->GetPos()); } 
	int GetGroup() { return PlayBody->GetGroup(); }   
	ControlledObject *GetObject() { return PlayBody; }
	void SetCurrentBody(ControlledObject *NewBody) { PlayBody=NewBody; }
};
